package ssw.mj.test;

import junit.framework.Test;
import junit.framework.TestCase;
import junit.framework.TestSuite;

/** 
 * All tests for the MicroJava compiler.
 * 
 * @author AW
 */
public class AllTests extends TestCase {
	public static Test suite () {
		TestSuite suite = new TestSuite();
		suite.addTestSuite(TokenTest.class);
		suite.addTestSuite(ScannerTest.class);
		suite.addTestSuite(ParserTest.class);
		suite.addTestSuite(SymTabTest.class);
		suite.addTestSuite(CodeTest.class);
		suite.addTestSuite(TBAOSTest.class);
		// add more suites here
		return suite;
	}
	
	public static void main (String[] args) {
		junit.textui.TestRunner.run(suite());
	}
}
