package ssw.mj.test;

import junit.framework.TestCase;

import ssw.mj.test.TestByteArrayOutputStream;

public class TBAOSTest extends TestCase {
	private String int2Str(int x, int w) {
		return TestByteArrayOutputStream.int2Str(x, w);
	}

	public void testInt2Str_1 () {
		assertEquals("1", int2Str(1,0));
		assertEquals("1", int2Str(1,1));
		assertEquals(" 1", int2Str(1,2));
		assertEquals("  1", int2Str(1,3));
	}
	
	public void testInt2Str_12 () {
		assertEquals("12", int2Str(12,0));
		assertEquals("12", int2Str(12,1));
		assertEquals("12", int2Str(12,2));
		assertEquals(" 12", int2Str(12,3));
		assertEquals("                  12", int2Str(12,20));
	}
	
	public void testInt2Str_m1 () {
		assertEquals("-1", int2Str(-1,0));
		assertEquals("-1", int2Str(-1,1));
		assertEquals("-1", int2Str(-1,2));
		assertEquals(" -1", int2Str(-1,3));
	}
	
	public void testInt2Str_0 () {
		assertEquals("0", int2Str(0,0));
		assertEquals("0", int2Str(0,1));
		assertEquals(" 0", int2Str(0,2));
		assertEquals("  0", int2Str(0,3));
	}
}
